Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.events.standard
Interface DisplayContentEventControl

All Superinterfaces
  Serializable

    @ControlInterface
    public interface DisplayContentEventControl

extends Serializable

This control dispatches a 'DisplayContentEvent' to the Portal Behavior Tracking System. This control may not be used in a JWS because the request and session objects are not available.
The Session and Request objects maybe obtained from a Page Flow by:

     HttpServletRequest request = this.getRequest();

See Portal documentation on "Events and Behavior Tracking" for information on how to configure the service before using this control.

Method Summary
`void` | `dispatch(javax.servlet.http.HttpServletRequest request, String documentType, String documentId)` Dispatch a DisplayContentEvent to the Event Service.

Method Detail

### dispatch

    void dispatch(javax.servlet.http.HttpServletRequest request,
                  String documentType,
                  String documentId)
                  throws P13nControlException

  Dispatch a DisplayContentEvent to the Event Service.

  Parameters
    `request` - the HttpServletRequest object, cannot be null
    `documentType` - The type of document
    `documentID` - A unique ID describing the document
  Throws
    `P13nControlException` - if the EventService is misconfigured or if remote exceptions are encountered while accessing the event service.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.